Subject: FORTRAN versus C

From: "Moshe Olshansky" <[email-masked]>
Date: Thu, 10 Feb 94 16:34:26 IDT

I saw a posting telling that on RS6000 Fortran performs much better for
heavy numerical applications than C.
Personally I always preferred Fortran, but not because of it's performance.
Here in Haifa we have a group working on improving the compilers for RS6000
(both Fortran and C),  so I asked them about this issue.  Their response was
that if one tries hard and writes a C program in a very special (machine
dependent) manner,  it may perform quite well.  However, for programs
written in a more or less standard language Fortran should indeed have
a better performance than C,  and this is due not to the compiler but
to the languages themselves.  Therefore,  it is very likely that Fortran
will maintain a performance advantage over C for a long time.

Moshe Olshansky
IBM Israel Science & Technology
Haifa,  Israel
<[email-masked]>